<?php

if ( empty($zawartosc['zdjecia']) )
  $html = null;

else {

  if ( $zawartosc['ustawienia']['kolejnosc'] == 2 )
    $zawartosc['zdjecia'] = array_reverse($zawartosc['zdjecia']);
  elseif ( $zawartosc['ustawienia']['kolejnosc'] == 3 )
    shuffle($zawartosc['zdjecia']);
  elseif ( $zawartosc['ustawienia']['kolejnosc'] == 4 )
    sort($zawartosc['zdjecia']);
  
  
  if ( $zawartosc['ustawienia']['wyswietlanie'] == 2 ) {
  
    $style = '.galeria_tabela { width: 100%; }   .galeria_tabela td { text-align: center; }' . "\n" . '.galeria_miniatura { width: ' . $zawartosc['ustawienia']['tabela_szerokosc'] . 'px; }' . "\n";
  
    $html = '<table class="galeria_tabela">' . "\n";
    
    foreach ( $zawartosc['zdjecia'] as $numer => $zdjecie ) {
      if ( $numer == 0 or $numer % $zawartosc['ustawienia']['tabela_kolumny'] == 0 )
        $html .= '<tr>' . "\n";
      $html .= '<td><a href="' . plik($zdjecie['nazwa']) . '" title="' . nl2br(str_replace('"',null,tekst($zdjecie['opis'],false))) . '"><img src="' . plik($zdjecie['nazwa']) . '" class="galeria_miniatura" alt="" /></a></td>' . "\n";
      if ( ++$numer % $zawartosc['ustawienia']['tabela_kolumny'] == 0 )
        $html .= '</tr>' . "\n";
    }
    
    $html .= '</table>' . "\n";
    
  }
  
  else {
  
    $head = '<script src="' . odczyt_konf('ustawienia','adres') . '/' . SYSTEM . '/pliki/zew/galleria-1.2.8.min.js"></script>' . "\n";
    
    $html = '<div id="galleria">' . "\n";
    
    foreach ( $zawartosc['zdjecia'] as $zdjecie ) {
      $html .= '<img data-description="' . nl2br(str_replace('"',null,tekst($zdjecie['opis'],false))) . '" src="' . plik($zdjecie['nazwa']) . '" alt="" />' . "\n";
    }
    
    $html .= '</div>' . "\n\n";
    
    $html .= '<script>' . "\n" . "Galleria.loadTheme('" . odczyt_konf('ustawienia','adres') . '/' . SYSTEM . "/pliki/zew/galleria.classic.js');\nGalleria.run('#galleria');" . "\n" . 'Galleria.configure({' . "\n";
    if ( $zawartosc['ustawienia']['pokaz_slajdow'] )  
      $html .= 'autoplay: ' . $zawartosc['ustawienia']['pokaz_slajdow_czas'] . '000,' . "\n";
    if ( $zawartosc['ustawienia']['opisy'] )  
      $html .= '_toggleInfo: false,' . "\n";
    if ( $zawartosc['ustawienia']['przejscia'] == 3 )
      $html .= 'transition: false,' . "\n";
    elseif ( $zawartosc['ustawienia']['przejscia'] == 2 ) {
      $przejscia = array('flash', 'pulse', 'slide', 'fadeslide');
      $html .= "transition: '" . $przejscia[array_rand($przejscia)]  . "',\n";
    }
    else
      $html .= "transition: 'fade',\n";
    $html .= 'height: 500' . "\n" . '});' . "\n" . '</script>' . "\n";
  
  }
  
}